

/* ==========================================================================
   Author's custom styles
   ========================================================================== */

.environment-testing nav {
    background-color: green;
}

.navbar-brand img {
    margin-top: -24px;
    width: 64px;
    height: 64px;
}

.navbar-nav li {
    font-size: 1.25em;
}

.navbar-nav li a {
    color: #ddd !important;
}

.navbar-nav li.active a {
    background-color: #444 !important;
    color: #fff !important;
}

.navbar-nav li a:hover {
    background-color: #666 !important;
    color: #fff !important;
}

.table-portal-list thead th {
    width: inherit !important; /* a little hack to stop column names from wrapping */
}

/* ==========================================================================
   Sandbox state
   ========================================================================== */

.sandbox-request-complete {
    background-color: #CDEBC9;
}

.sandbox-request-failed,
.sandbox-request-cancelled {
    background-color: #F1CCC7;
}

/* request with no status */
.sandbox-request- {
    background-color: #eeeeee;
}

/* add a visual 'icon' for portals that have been rerouted */
.rerouted td:first-child:before {
    content: "e0";
    display: inline-block;
    background: #337ab7;
    color: white;
    padding: 1px 3px;
    font-size: .75em;
}

/* ==========================================================================
   Remote ID import/export
   ========================================================================== */

#remoteIDsModal .modal-dialog {
    min-width: 650px;
}

#remoteIDsModal input[type="file"] {
    display: inline;
    width: 210px;
}

#remoteIDsModal button.export {
    padding: 6px 12px;
}

#remoteIDsModal span.import {
    margin-left: 25px;
    margin-right: 5px;
}

#remoteIDsModal button,
#remoteIDsModal input,
#remoteIDsModal select {
    transition: padding-left .5s;
}

#remoteIDsModal button.loading,
#remoteIDsModal input.loading,
#remoteIDsModal select.loading {
    padding-left: 35px;
    background-image: url('/images/loading.gif');
    background-repeat: no-repeat;
    background-size: 20px;
    background-position: 7px;
}

.spin {
    -webkit-animation: spin .5s infinite linear;
    -moz-animation: spin .5s infinite linear;
    -o-animation: spin .5s infinite linear;
    animation: spin .5s infinite linear;
    -webkit-transform-origin: 50% 58%;
    transform-origin:50% 58%;
    -ms-transform-origin:50% 58%; /* IE 9 */
}

@-moz-keyframes spin {
    from {
        -moz-transform: rotate(0deg);
    }
    to {
        -moz-transform: rotate(360deg);
    }
}

@-webkit-keyframes spin {
    from {
        -webkit-transform: rotate(0deg);
    }
    to {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(360deg);
    }
}